/* Add a user to a given realm */

parse arg realm user password admin_user admin_password

if realm = "?" | realm = "/?" | length(realm) = 0 | length(user) = 0 then do
	say "Utility to Add a New User to a PowerWeb Server++ User Database."
	say ""
	say "Usage:     AddUser Realm NewUserName NewUserPassword [AdminName [AdminPassword]]"
	say ""
	say "Example 1: AddUser admin joe abc"
	say "Example 2: AddUser admin joe abc admin secret"
	say ""
	say "If the admin user name is omitted, it defaults to 'admin'."
	say "If the admin user password is omitted, it defaults to empty."
	return
end

if length(admin_user) = 0 then
	admin_user = 'admin'

http = '/!user?Realm=/security/userbase/'realm'&user='user'&password='password'&verify='password'&file=&Submit=Add%%20a%%20User'

call CallHTTP http, admin_user, admin_password, "User Results", "Copyright"

return

